Atualizar uma execução
curl --request PUT \
--url https://api.olie.ai/api/management/projects/{project_id}/project-executions/{project_execution_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"started_at": null,
"finished_at": null,
"finish_now": false
}
'import requests
url = "https://api.olie.ai/api/management/projects/{project_id}/project-executions/{project_execution_id}"
payload = {
"started_at": None,
"finished_at": None,
"finish_now": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({started_at: null, finished_at: null, finish_now: false})
};
fetch('https://api.olie.ai/api/management/projects/{project_id}/project-executions/{project_execution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "a14afcbd-38b1-4b97-8950-02c09547611a",
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"user_id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"funnel_step_id": 181,
"started_at": "2026-08-19T13:05:00.000000Z",
"finished_at": "2026-08-19T14:47:12.000000Z",
"hourly_rate": 85,
"finished_reason": "self_stop",
"started_at_real": null,
"finished_at_real": null,
"project": {
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"code": "SC-1",
"name": "Shopping Center",
"is_template": false,
"deleted_at": null
},
"user": {
"id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"name": "Ana Souza",
"avatar_url": null
},
"funnel_step": {
"id": 181,
"name": "Execução",
"project_funnel_id": 36,
"funnel": {
"id": 36,
"name": "Obras"
}
}
},
"response": true
}projects
Atualizar uma execução
Ajusta os horários de uma execução ou a encerra imediatamente. Envie finish_now como true para parar a contagem agora — nesse caso started_at e finished_at não podem ser enviados.
Corrigir horários exige permissão de edição da execução, enquanto encerrar a própria contagem não. Tokens de aplicação não podem atualizar execuções.
PUT
/
api
/
management
/
projects
/
{project_id}
/
project-executions
/
{project_execution_id}
Atualizar uma execução
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do projeto.
ID (UUID) da execução.
Body
application/json
Was this page helpful?